### Signal

# Gio Application::shutdown

since: 2.0

#### Declaration

    void
    shutdown (
      GApplication* self,
      gpointer user_data
    )

#### Description

The ::shutdown signal is emitted only on the registered primary instance immediately after the main loop terminates.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.0